NXOpen.UF.ModlFeatures.CreateBlock1

ModlFeatures.CreateBlock1()

Refer to UF_MODL_create_block1 for documentation.

Signature: CreateBlock1(sign, cornerPt, edgeLen)

Parameters:
  • sign (NXOpen.UF.Modl.FeatureSigns Refer to UF_FEATURE_SIGNS for documentation.) – The sign of the operation to be performed. UF_NULLSIGN = create new target solid UF_POSITIVE = add to target solid UF_NEGATIVE = subtract from target solid UF_UNSIGNED = intersect with target solid
  • cornerPt (list of float) – Corner point (origin) of block
  • edgeLen (list of str) – Three edge lengths of block
Returns:

Feature object identifier of created block.

Return type:

Tag

License requirements: SOLIDS MODELING